#!/bin/bash

if [ "$IMAGE_TAG" == "" ]; then
  echo "Make sure IMAGE_TAG is set"
  exit 1
fi


IMAGE_NAME=$FORGE_NAME/$CI_REPO
NAMESPACE=homea
DEPLOYMENT_DIR=$PWD/deployment

pushd $DEPLOYMENT_DIR > /dev/null
kubectl create namespace $NAMESPACE \
  --dry-run=client \
  -o yaml | \
  kubectl -f - apply

kubectl apply -f $DEPLOYMENT_DIR/configmap.yml -n $NAMESPACE
kubectl apply -f $DEPLOYMENT_DIR/deploy.yml -n $NAMESPACE

popd > /dev/null


